All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.user
Class SummaryDataEntry.RepositorySummary

    com.sas.services.user.SummaryDataEntry.RepositorySummary

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  SummaryDataEntry

    public class SummaryDataEntry.RepositorySummary

implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`RepositorySummary(java.lang.String name, java.lang.String protocol, java.lang.String host, java.lang.String port, java.lang.String base)`

Method Summary
`java.lang.String` | `getBase()`
`com.sas.services.cache.CacheStatistics` | `getDataCache()`
`java.lang.String` | `getHost()`
`java.lang.String` | `getIsName()`
`com.sas.services.cache.CacheStatistics` | `getMetaCache()`
`java.lang.String` | `getPort()`
`java.lang.String` | `getProtocol()`
`void` | `setBase(java.lang.String base)`
`void` | `setDataCache(com.sas.services.cache.CacheStatistics dataCache)`
`void` | `setHost(java.lang.String host)`
`void` | `setIsName(java.lang.String isName)`
`void` | `setMetaCache(com.sas.services.cache.CacheStatistics metaCache)`
`void` | `setPort(java.lang.String port)`
`void` | `setProtocol(java.lang.String protocol)`

Constructor Detail

### RepositorySummary

    public RepositorySummary(java.lang.String name,
                             java.lang.String protocol,
                             java.lang.String host,
                             java.lang.String port,
                             java.lang.String base)

Method Detail

### getDataCache

    public final com.sas.services.cache.CacheStatistics getDataCache()

### setDataCache

    public final void setDataCache(com.sas.services.cache.CacheStatistics dataCache)

### getHost

    public final java.lang.String getHost()

### setHost

    public final void setHost(java.lang.String host)

### getIsName

    public final java.lang.String getIsName()

### setIsName

    public final void setIsName(java.lang.String isName)

### getMetaCache

    public final com.sas.services.cache.CacheStatistics getMetaCache()

### setMetaCache

    public final void setMetaCache(com.sas.services.cache.CacheStatistics metaCache)

### getPort

    public final java.lang.String getPort()

### setPort

    public final void setPort(java.lang.String port)

### getProtocol

    public final java.lang.String getProtocol()

### setProtocol

    public final void setProtocol(java.lang.String protocol)

### getBase

    public final java.lang.String getBase()

### setBase

    public final void setBase(java.lang.String base)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.